KIP People API (Public)

GetUserVouchers

Get a user’s vouchers

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.UserVouchersResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/vouchers
 
application/json

User Profile

DeleteUserProfile

Delete a user’s profile

delete

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has been accepted for processing, but processing has not yet completed.

The request has been accepted for processing, but processing has not yet completed.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
delete/users/{userId}/profile
 
application/json

GetUserProfile

Get a user’s basic profile information by user ID

get

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.BasicProfileResponse

The request has succeeded.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/profile
 
application/json

UpdateUserProfile

Update a user’s basic profile information

put

Path Parameters

userIdstring(uuid)required

Body

application/json

Models.UserProfileUpdate

firstNamestring
middleNamestring
lastNamestring
genderstring

Response

The request has succeeded.

put/users/{userId}/profile

Body

{}